Skip to main content
GET
https://api.muvi.video
/
v1
/
catalog
/
capability-groups
curl -X GET https://api.muvi.video/v1/catalog/capability-groups
[
  {
    "id": "text-to-video",
    "displayName": "Text to Video",
    "label": "T2V",
    "icon": "video",
    "color": "#8B5CF6",
    "order": 1
  },
  {
    "id": "image-to-video",
    "displayName": "Image to Video",
    "label": "I2V",
    "icon": "image-play",
    "color": "#06B6D4",
    "order": 2
  },
  {
    "id": "text-to-image",
    "displayName": "Text to Image",
    "label": "T2I",
    "icon": "image",
    "color": "#F59E0B",
    "order": 3
  }
]

Authentication

This is a public endpoint. No authentication required.

Response

Returns an array of capability group objects.
capabilityGroups
array
curl -X GET https://api.muvi.video/v1/catalog/capability-groups
[
  {
    "id": "text-to-video",
    "displayName": "Text to Video",
    "label": "T2V",
    "icon": "video",
    "color": "#8B5CF6",
    "order": 1
  },
  {
    "id": "image-to-video",
    "displayName": "Image to Video",
    "label": "I2V",
    "icon": "image-play",
    "color": "#06B6D4",
    "order": 2
  },
  {
    "id": "text-to-image",
    "displayName": "Text to Image",
    "label": "T2I",
    "icon": "image",
    "color": "#F59E0B",
    "order": 3
  }
]